<!--
   Licensed to the Apache Software Foundation (ASF) under one or more
   contributor license agreements.  See the NOTICE file distributed with
   this work for additional information regarding copyright ownership.
   The ASF licenses this file to You under the Apache License, Version 2.0
   (the "License"); you may not use this file except in compliance with
   the License.  You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
  -->

The Oak Security Layer
--------------------------------------------------------------------------------

### Authentication

 * [Overview](authentication.html)
 * [Differences wrt Jackrabbit 2.x](authentication/differences.html)
 * [Token Authentication and Token Management](authentication/tokenmanagement.html)
 * [External Authentication](authentication/externalloginmodule.html)
 * [User and Group Synchronization](authentication/usersync.html)
 * [Identity Management](authentication/identitymanagement.html)
 * [LDAP Integration](authentication/ldap.html)
 * [Pre-Authentication](authentication/preauthentication.html)

### Access Control

 * [Overview](accesscontrol.html)
 * [Differences wrt Jackrabbit 2.x](accesscontrol/differences.html)
 * [Restriction Management](accesscontrol/restriction.html)
 * [Using the API](accesscontrol/editing.html)

### Permissions

 * [Overview](permission.html)
 * [Differences wrt Jackrabbit 2.x](permission/differences.html)
 * [Permission Evaluation in Detail](permission/evaluation.html)

### Privilege Management

 * [Overview](privilege.html)
 * [Differences wrt Jackrabbit 2.x](privilege/differences.html)

### Principal Management

 * [Overview](principal.html)
 * [Differences wrt Jackrabbit 2.x](principal/differences.html)

### User Management

 * [Overview](user.html)
 * [Differences wrt Jackrabbit 2.x](user/differences.html)
 * [Group Membership](user/membership.html)
 * [Authorizable Actions](user/authorizableaction.html)
 * [Authorizable Node Name Generation](user/authorizablenodename.html)
 * [Searching Users and Groups](user/query.html)
 * [Password Expiry and Force Initial Password Change](user/expiry.html)

